%define upstream_name    Lingua-Translit
%define upstream_version 0.29

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Transliterates text between writing systems
License:    GPL+ or Artistic
Url:        https://metacpan.org/release/Lingua-Translit
Group:      Development/Perl

Source0:    https://cpan.metacpan.org/authors/id/A/AL/ALINKE/Lingua-Translit-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: coreutils
BuildRequires: findutils
BuildRequires: make
BuildRequires: perl
# Run-time

# Testing

%description
Lingua::Translit can be used to convert text from one writing system to
another, based on national or international transliteration tables. Where
possible a reverse transliteration is supported.

%prep
%setup -q -n Lingua-Translit-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_bindir}/translit
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Wed Jun 22 2022 tv <tv> 0.290.0-1.mga9
+ Revision: 1865470
- update to 0.29

* Tue Mar 29 2022 tv <tv> 0.280.0-2.mga9
+ Revision: 1832343
- Really uses %%upstream_version
- Use %%mkrel !!!
- Use %%upstream_name for automatic updates using magpie
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Nov 26 2021 joequant <joequant> 0.28-1.mga9
+ Revision: 1759262
- imported package perl-Lingua-Translit

